# Video Player
## Summary
Video Player is an audio and video player with beautiful interface and good interactivity. It is developed based on Qt5 and uses MPV as the playback engine. Video Player supports almost all formats of audio and video, and has powerful decoding ability. There are also Mini modes to meet different playback needs.

<br>

## Home Page

<br>

The home page function is simple, as shown in the figure below.

<br>

![Picture 1 Home Page-big](image/1.png)

<br>

The home page has two functions: open file and open folder. In the home page, you can also click the list button on the right to pop up the play list.

<br>

## Play Page

<br>

The play page is simple, and only the expand button of the play list is reserved.

<br>

![Picture 2 Play Page-big](image/2.png)

<br>

Main functions of play page: click pause play, double-click full screen and cancel full screen, right-click exhale right-click menu, move mouse to exhale title bar and control bar.

<br>

## Control Bar

<br>

The control bar is suspended in the playback interface, and translucent style reduces the occlusion of the control bar to the video.

<br>

![Picture 3 Control Bar-big](image/3.png)

<br>

Main functions of control bar: Previous Next switch, pause play control, progress control, volume setting, double speed play, screenshot and full screen.

<br>

## Play List

<br>

Playlist supports list mode (left) and preview mode (right).

<br>

![Picture 4 Play List-big](image/4.png)

<br>

Main functions of play list: double click play, single delete, delete invalid files, clear list, play order setting, display mode switching.

<br>

## Setup

<br>

The setting interface mainly includes system setting, playback setting, screenshot setting, subtitle setting, audio setting, decoder setting and shortcut key setting.

<br>

### Sytem

<br>

System settings support settings:mini to tray, minimize pause, sleep / sleep pause.

<br>

![Picture 5 Sytem-big](image/5.png)

<br>

### Play

<br>

Play settings support settings: full screen automatically when playing, clear the play list when exiting, and continue to play from the last stop position.

<br>

![Picture 6 Play-big](image/6.png)

<br>

### ScreenShot

<br>

Screenshot settings support settings: screenshot folder, screenshot format.

<br>

![Picture 7 ScreenShot-big](image/7.png)

<br>

### Subtitle

<br>

Subtitle settings support settings: load subtitles with the same name, load all subtitles under the folder, default folder of subtitles, and font of subtitles.

<br>

![Picture 8 Subtitle-big](image/8.png)

<br>

### Audio

<br>

Audio settings support settings: output driver selection.

<br>

![Picture 9 Audio-big](image/9.png)

<br>

### Codec

<br>

Codec settings support settings: video decoder selection.

<br>

![Picture 10 Codec-big](image/10.png)

<br>

### ShortCut Key

<br>

Shortcut key settings support settings: shortcut key customization.

<br>

![Picture 11 ShortCut Key-big](image/11.png)

<br>

## Mini Mode

<br>

You can switch Mini mode for a better experience.

<br>

![Picture 12 Mini Mode](image/12.png)

<br>

